#!/bin/bash
#
#	(c)opyleft 2007 		by 00ZIE <oozie@poczta.fm> 
#
#   This software gives you no warranty whatsoever, you can copy and modify
#   it under terms and conditions of GPLv2 or later available at 
#
#			http://www.gnu.org/licences/gpl.txt
#
#	This is the executable part of the workaround udev-rule for 
#       	HUAWEI 220 modem on kernels prior to 2.6.20
#		
#    The latest version of this script and many more can be found there:
#		http://oozie.fm.interia.pl/pro/huawei-e220/	
#
####

export LOG=/dev/null
 #
 #	If you experiece a wierd problem and want to contribute
 #	please change the value of $LOG variable to /tmp/huawei.log  
 #      or so and send the file to me. Thanks!
 #

export CONFIGFILE=/root/.huawei-config
 #
 #	the $CONFIGFILE variable is created to give a possibility
 #      of executing arbitrary commands just after the device is
 #	enabled.  (e.g. wvdial --config /etc/wvdial-3ireland.conf)
 #

(
	uname -a
	/sbin/modprobe usbserial vendor=0x12d1 product=0x1003 
	test -e $CONFIGFILE && ( . $CONFIGFILE ) &
	#
	#	If found $CONFIGFILE will be executed in the background,
	#	otherwise it could possibly slow down execution of other
	#	udev rules.
	#

) 2>&1 >> $LOG
